Skip Menu |
 

This queue is for tickets about the URI-Title CPAN distribution.

Report information
The Basics
Id: 117810
Status: resolved
Priority: 0/
Queue: URI-Title

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.901
Fixed in: 1.902



Subject: URI::Title 1.901 is not indexed
Download (untitled) / with headers
text/plain 833b
In a CPAN.pm session: cpan[1]> reload index Reading '/home/eserte/.cpan/Metadata' Database was generated on Tue, 13 Sep 2016 05:17:02 GMT Fetching with LWP: http://cpan.cpantesters.org/authors/01mailrc.txt.gz ... cpan[2]> m URI::Title Module id = URI::Title CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CPAN_VERSION 1.900 CPAN_FILE B/BO/BOOK/URI-Title-1.900.tar.gz UPLOAD_DATE 2014-12-17 INST_FILE (not installed) The newer 1.901 does not have URI::Title indexed. But the submodules are indexed: cpan[4]> d BOOK/URI-Title-1.901.tar.gz Distribution id = B/BO/BOOK/URI-Title-1.901.tar.gz CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CONTAINSMODS URI::Title::HTML URI::Title::Image URI::Title::MP3 URI::Title::PDF Maybe permissions are just missing for URI::Title?
Download (untitled) / with headers
text/plain 261b
On Tue Sep 13 01:30:35 2016, SREZIC wrote: Show quoted text
> The newer 1.901 does not have URI::Title indexed. But the submodules > are indexed
Show quoted text
> Maybe permissions are just missing for URI::Title?
possibly because $VERSION is undef. -- Alexandr Ciornii, http://chorny.net
Download (untitled) / with headers
text/plain 4.6k
Gorgeous the version riddle here. Accompanied by the commit message '$VERSION is set by dzil'. Executive summary: the title-giving module had a version number once but not anymore and never as high as the current distro. All other modules have the higher version number, the same as the distro. cpan[1]> m URI::Title Module id = URI::Title CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CPAN_VERSION 1.900 CPAN_FILE B/BO/BOOK/URI-Title-1.900.tar.gz INST_FILE (not installed) cpan[2]> m URI::Title::HTML Module id = URI::Title::HTML CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CPAN_VERSION 1.901 CPAN_FILE B/BO/BOOK/URI-Title-1.901.tar.gz INST_FILE (not installed) cpan[3]> ls BOOK/URI-Title* 2012 2014-12-17 BOOK/URI-Title-1.900.meta 17126 2014-12-17 BOOK/URI-Title-1.900.tar.gz 2581 2016-08-20 BOOK/URI-Title-1.901.meta 19056 2016-08-21 BOOK/URI-Title-1.901.tar.gz cpan[4]> d BOOK/URI-Title-1.900.tar.gz Distribution id = B/BO/BOOK/URI-Title-1.900.tar.gz CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CONTAINSMODS URI::Title cpan[5]> d BOOK/URI-Title-1.901.tar.gz Distribution id = B/BO/BOOK/URI-Title-1.901.tar.gz CPAN_USERID BOOK (Philippe Bruhat (BooK) <book@cpan.org>) CONTAINSMODS URI::Title::HTML URI::Title::Image URI::Title::MP3 URI::Title::PDF cpan[6]> q Lockfile removed. Show quoted text
>20:55:14 k@k83:~/src/cpanpm[tentative-next-commits]% grep BOOK/URI-Title-1.9 /home/ftp/pub/PAUSE/modules/02packages.details.txt
URI::Title 1.900 B/BO/BOOK/URI-Title-1.900.tar.gz URI::Title::HTML 1.901 B/BO/BOOK/URI-Title-1.901.tar.gz URI::Title::Image 1.901 B/BO/BOOK/URI-Title-1.901.tar.gz URI::Title::MP3 1.901 B/BO/BOOK/URI-Title-1.901.tar.gz URI::Title::PDF 1.901 B/BO/BOOK/URI-Title-1.901.tar.gz Book, please let me know if you do not understand the above. I'm willing to help, just not sure how. Maybe with this: cpan[1]> install URI::Title [...] Running make install for BOOK/URI-Title-1.900.tar.gz allow_installing_outdated_modules: BOOK/URI-Title-1.900.tar.gz (called for URI::Title) contains module(s) that have a lower version than the CPAN index has registered (e.g. 'URI/Title/Image.pm' has version '1.900' while the CPAN index contains '1.901'). Do you want to allow installing it? [yes] allow_installing_outdated_dists: BOOK/URI-Title-1.900.tar.gz (called for URI::Title) contains module(s) that are indexed on the CPAN with a different distro: (e.g. 'URI/Title/Image.pm' is indexed with 'BOOK/URI-Title-1.901.tar.gz'), and this has a higher distribution-version, i.e. version '1.901' is higher than '1.900'). Do you want to allow installing it? [yes] [...] BOOK/URI-Title-1.900.tar.gz make install UNINST=1 -- OK cpan[2]> r /URI::Title/ Package namespace installed latest in CPAN file URI::Title::HTML 1.900 1.901 BOOK/URI-Title-1.901.tar.gz cpan[3]> install URI::Title::HTML [...] allow_installing_module_downgrades: BOOK/URI-Title-1.901.tar.gz (called for URI::Title::HTML) contains downgrading module(s) (e.g. 'URI/Title.pm' would downgrade installed '1.900' to 'undef'). Do you want to allow installing it? [yes] allow_installing_outdated_modules: BOOK/URI-Title-1.901.tar.gz (called for URI::Title::HTML) contains module(s) that have a lower version than the CPAN index has registered (e.g. 'URI/Title.pm' has version 'undef' while the CPAN index contains '1.900'). Do you want to allow installing it? [yes] allow_installing_mixed_up_and_downgrades: BOOK/URI-Title-1.901.tar.gz (called for URI::Title::HTML) contains a mix of upgrades and downgrades (e.g. the downgrade in 'URI/Title.pm' from '1.900' to 'undef'). Do you want to allow installing it? [yes] BOOK/URI-Title-1.901.tar.gz make install UNINST=1 -- OK cpan[4]> r /URI::Title/ Package namespace installed latest in CPAN file URI::Title undef 1.900 BOOK/URI-Title-1.900.tar.gz 1 installed module has no parsable version number (use 'o conf show_unparsable_versions 1' to show them) cpan[5]> o conf show_unparsable_versions 1 show_unparsable_versions [1] Please use 'o conf commit' to make the config permanent! cpan[6]> r /URI::Title/ Package namespace installed latest in CPAN file URI::Title undef 1.900 BOOK/URI-Title-1.900.tar.gz 1 installed module has no parsable version number they are Module < URI::Title (BOOK/URI-Title-1.900.tar.gz) (use 'o conf show_unparsable_versions 0' to hide them) cpan[7]> q Warning: Configuration not saved. Lockfile removed. ((Note: the version of CPAN.pm that used here is not yet released))


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.